Hacking Enso 3.60, always ask to fw upgrade logging PSN [help!]

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
Hello GBA Community,

The issue is that although I spoof to 3.72 and/or set the Primary DNS number, rebooted the console, I have always asked to perform software update both ingame or logging to PSN.
I noticed that another user solved by getting is config.txt in ux0:tai/ fixed, this is mine:

Code:
# For users plugins, you must refresh taiHEN from HENkaku Settings for
# changes to take place.
# For kernel plugins, you must reboot for changes to take place.
*KERNEL
ur0:tai/gamesd.skprx
# henkaku.skprx is hard-coded to load and is not listed here
*main
# main is a special titleid for SceShell
ur0:tai/henkaku.suprx
*NPXS10015
# this is for modifying the version string
ur0:tai/henkaku.suprx
*NPXS10016
# this is for modifying the version string in settings widget
ur0:tai/henkaku.suprx

Anybody fancy to help?
Thanks in advance!
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,215
Country
United States
henkaku settings is the henkaku.suprx. I don't think it matters anymore with that file being in ur0/tai as it seems to load it automatically just like the skprx of the same name.

--------------------- MERGED ---------------------------

try deleting the id.dat. it contains firmware version. it should change to 3.72 when it's recreated as it reads the spoof. it won't harm the system.
 

seeWood

Active Member
Newcomer
Joined
Jul 11, 2019
Messages
25
Trophies
0
Age
36
XP
206
Country
Germany
good idea, Just delete over VitaShell. you find it in ux0 at the bottom from the filelist - reboot System. the Database should be rebuild at Startup - try again to Login
 

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
Thank you for your kind help, unfortunately deleting id.dat did't work for me, the console don't let me in PSN unless I update the system...
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,215
Country
United States
I don't know if this would have any bearing -- the update may have been downloaded, so it's going to nag you. I think updates are downloaded to the vd0 partition.
 

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
Thanks, I had a look at vd0: and found History(data.bak, data.bin), network(ifstat.bin), registry(system.dreg, system.ireg), Scelotrash( empty). If the update is there, can't spot it.
 

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
@SeWood, the file isn't there just checked. Somewhere on Reddit people wrote that 3.60 users need to use Renpdrm/Restore plugin, but at the same time it is wrote that they are unreliable.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,215
Country
United States
kinda a stretch, but have you tried restarting the system. I know if the ps4 has a nagging update for a game or something, it will be fixed when you restart the system. however, in that case, you don't want to sign in (obviously). ;)
 

Vinceherman

Well-Known Member
Member
Joined
Feb 9, 2018
Messages
297
Trophies
0
Age
46
XP
607
Country
United Kingdom
what games are you in when you get the error? you are missing nonpdrm and ref00d, so you may get an error message trying to load up a game

try connecting to a portable hotspot on mobile phone instead of your wi-fi when signing into to PSN
 
Last edited by Vinceherman,

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
@Vinceherman tried both Street Fighter X Tekken and Wipeout. About nonpdrm I do use nonpdrmed games backups and I do have installed ref00d for compatibility. My point is that it doesn't let me go to PSN store neither, it keeps asking for software update. I do use my phone as a wifi modem to connect.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,215
Country
United States
try placing henkaku.suprx in the ur0 tai folder. it should be in the vs0 partition or you can get it directly from the henkaku app folder. I've not checked if there were differences, so try both.

edit: I'm looking at this part:
# this is for modifying the version string
ur0:tai/henkaku.suprx
*NPXS10016
# this is for modifying the version string in settings widget
ur0:tai/henkaku.suprx
 

Karatevan

Well-Known Member
OP
Member
Joined
Aug 30, 2019
Messages
106
Trophies
0
Age
41
XP
434
Country
Italy
I think at this point I ll go for a fresh installation, maybe switch to 3.65 with a 32 sd card instead of 16. @godreborn thanks for your help but that looks a bit risky and messy to me.
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
  • No one is chatting at the moment.
    SylverReZ @ SylverReZ: Worst pc ever https://www.youtube.com/watch?v=nq3FqEJu3jU